Error
A valid request URL is required to generate request examples{
"workflow_id": "<string>",
"draft_revision": "<string>",
"document": {
"metadata": {
"title": "<string>",
"description": "<string>",
"status": "online",
"alias": "<string>",
"error_handler": "<string>"
},
"definition": {
"entrypoint": {
"ref": "<string>",
"expects": {}
},
"actions": [
{
"ref": "<string>",
"action": "<string>",
"description": "",
"args": {},
"depends_on": [
"<string>"
],
"interaction": {
"type": "response",
"timeout": 123
},
"run_if": "<string>",
"for_each": "<string>",
"retry_policy": {
"max_attempts": 1,
"timeout": 300,
"retry_until": "<string>"
},
"start_delay": 0,
"wait_until": "<string>",
"join_strategy": "all",
"environment": "<string>",
"mask_output": false,
"unsafe_disable_secret_error_withholding": false
}
],
"config": {
"environment": "default",
"timeout": 0
},
"returns": null
},
"layout": {
"trigger": {
"x": 123,
"y": 123,
"position": {}
},
"viewport": {
"x": 123,
"y": 123,
"zoom": 123
},
"actions": [
{
"ref": "<string>",
"x": 123,
"y": 123,
"position": {}
}
]
},
"schedules": [
{
"status": "online",
"inputs": {},
"cron": "<string>",
"every": "<string>",
"offset": "<string>",
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z",
"timeout": 0
}
],
"case_trigger": {
"status": "offline",
"event_types": [
"case_created"
],
"tag_filters": [
"<string>"
]
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}workflows
Get Workflow Draft
Return the workflow’s current draft as a canonical editable document.
The document has the same shape accepted by PUT /workflows/{id}/draft
(metadata, definition, layout, schedules, case trigger), and
draft_revision is a content hash suitable for optimistic concurrency.
GET
/
workspaces
/
{workspace_id}
/
workflows
/
{workflow_id}
/
draft
Error
A valid request URL is required to generate request examples{
"workflow_id": "<string>",
"draft_revision": "<string>",
"document": {
"metadata": {
"title": "<string>",
"description": "<string>",
"status": "online",
"alias": "<string>",
"error_handler": "<string>"
},
"definition": {
"entrypoint": {
"ref": "<string>",
"expects": {}
},
"actions": [
{
"ref": "<string>",
"action": "<string>",
"description": "",
"args": {},
"depends_on": [
"<string>"
],
"interaction": {
"type": "response",
"timeout": 123
},
"run_if": "<string>",
"for_each": "<string>",
"retry_policy": {
"max_attempts": 1,
"timeout": 300,
"retry_until": "<string>"
},
"start_delay": 0,
"wait_until": "<string>",
"join_strategy": "all",
"environment": "<string>",
"mask_output": false,
"unsafe_disable_secret_error_withholding": false
}
],
"config": {
"environment": "default",
"timeout": 0
},
"returns": null
},
"layout": {
"trigger": {
"x": 123,
"y": 123,
"position": {}
},
"viewport": {
"x": 123,
"y": 123,
"zoom": 123
},
"actions": [
{
"ref": "<string>",
"x": 123,
"y": 123,
"position": {}
}
]
},
"schedules": [
{
"status": "online",
"inputs": {},
"cron": "<string>",
"every": "<string>",
"offset": "<string>",
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z",
"timeout": 0
}
],
"case_trigger": {
"status": "offline",
"event_types": [
"case_created"
],
"tag_filters": [
"<string>"
]
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
APIKeyCookieServiceAccountApiKeyBearer
Path Parameters
Pattern:
wf_[0-9a-zA-Z]+Was this page helpful?